VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Unit Member List

This is the complete list of members for Unit, including all inherited members.

getID() const | Unit | inline
getInfo() const | Unit | inline
getName() const | Unit | inline
getProgramListID() const | Unit | inline
info | Unit |
setID(UnitID newID) | Unit | inline
setName(const String128 newName) | Unit |
setProgramListID(ProgramListID newID) | Unit | inline
Unit(const String128 name, UnitID unitId, UnitID parentUnitId=kRootUnitId, ProgramListID programListId=kNoProgramListId) | Unit |
Unit(const UnitInfo &unit) | Unit |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.